Subject: Re: [RFC] git-mergetool: show original branch names when possible

From: Jan Hudec <[email-masked]>
Date: Tue, 21 Aug 2007 16:59:43 +0200

On Tue, Aug 21, 2007 at 02:10:14 -0400, Jeff King wrote:
> On Mon, Aug 20, 2007 at 08:17:25PM +0200, Jan Hudec wrote:
> 
> > > I think this is a failing of git-merge, though, for not including that
> > > nice human-readable information. We can fix it with something like this:
> > 
> > Maybe you could call git-name-rev on it if it does not come with
> > a human-readable name.
> 
> I considered that, but it has two drawbacks:
> 
>   1. It does not handle pulls which have no tracking branch (the only
>      ref we have is FETCH_HEAD, which is not a useful name :) ).

If there's no useful name, than it's probably hard to do anything at all
about it. Though FETCH_HEAD is not all that useless -- it at least says it is
that that you pull.

>   2. In some circumstances, it can come up with counter-intuitive
>      names. If more than one ref points to a given commit, then you can
>      end up with something like "git-merge foo" telling you all about
>      the merge conflicts with "bar". But perhaps that is too obscure a
>      corner case to worry about.

I meant it as a fallback, for cases where it for some reason can't be
recorded or is not recorded. Recording it is obviously better.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>